import Foundation
import App

abbrev = 'Hawkins_TOS'
iconName = 'Hawkins_TOS'
longName = 'Hawkins Class'
shipFile = 'Hawkins_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = 'Federation'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Hawkins_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Hawkins_TOS.fMaxWarp = 8.0
Foundation.ShipDef.Hawkins_TOS.fCruiseWarp = 6.0
Foundation.ShipDef.Hawkins_TOS.fWarpEntryDelayTime = 2.0
Foundation.ShipDef.Hawkins_TOS.sBridge = 'Constitutionbridge'
Foundation.ShipDef.Hawkins_TOS.desc = "The Hawkins-class shared a similar design lineage with its larger Constitution-class counterpart.  The design was composed of two  hull sections; the saucer-shaped primary hull mounted atop the secondary hull, with two warp nacelles mounted on either side of the  secondary hull, below the primary hull.  Atop the primary hull was a superstructure which could support a variety of modules, such  as the inclusion of a weapons platform, fitted with torpedo launchers, a high-energy sensor platform, or additional warp nacelles.   These modules enabled additional mission profiles from performing various scientific roles to conducting patrol and transport  duties.\n\nThe role of the sensor pod equipped Hawkins-class was to carry out sector surveillance, command and control as well as  communications functions for both fleet and Starbase defense forces.  These vessels are also used as sensor picket ships used to  increase the sensor detection range several light years around a force to protect it from surprise attack."

if menuGroup:           Foundation.ShipDef.Hawkins_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Hawkins_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


